Bug 261319 - databases/pgloader3: update of esrap package unbreaks port
Summary: databases/pgloader3: update of esrap package unbreaks port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2022-01-18 20:53 UTC by Christoph Moench-Tegeder
Modified: 2022-02-01 18:45 UTC (History)
0 users

See Also:


Attachments
update esrap distribution in pgloader3 port to 2021-10-20 (3.36 KB, patch)
2022-01-18 20:53 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2022-01-18 20:53:27 UTC
Created attachment 231141 [details]
update esrap distribution in pgloader3 port to 2021-10-20

pgloader3 does not build since the last few sbcl updates, failing build log:

http://beefy14.nyi.freebsd.org/data/130amd64-quarterly/be89a0611153/logs/pgloader3-3.6.2.log

updating the esrap (packrat parser) - see attached - fixes pgloader.
Comment 1 Bugzilla Automation freebsd_committer 2022-01-18 20:53:27 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2022-02-01 18:43:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d678920296faff5c05f97f45226f3dd930cc18c2

commit d678920296faff5c05f97f45226f3dd930cc18c2
Author:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
AuthorDate: 2022-02-01 18:39:20 +0000
Commit:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
CommitDate: 2022-02-01 18:39:20 +0000

    databases/pgloader3: update esrap package to 2021-10-20

    the older esrap package cannot be built with a recent sbcl compiler,
    thus rendering pgloader3 unbuildable. this update bumps esrap to
    a recent version which is compatible with our current sbcl compiler.

    PR:             261319
    Approved by:    maintainer-timeout

 databases/pgloader3/Makefile | 7 ++++---
 databases/pgloader3/distinfo | 6 +++---
 2 files changed, 7 insertions(+), 6 deletions(-)
Comment 3 commit-hook freebsd_committer 2022-02-01 18:44:22 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6507e41fe7f72df962091b7118871abafb76f18f

commit 6507e41fe7f72df962091b7118871abafb76f18f
Author:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
AuthorDate: 2022-02-01 18:39:20 +0000
Commit:     Christoph Moench-Tegeder <cmt@FreeBSD.org>
CommitDate: 2022-02-01 18:43:20 +0000

    databases/pgloader3: update esrap package to 2021-10-20

    the older esrap package cannot be built with a recent sbcl compiler,
    thus rendering pgloader3 unbuildable. this update bumps esrap to
    a recent version which is compatible with our current sbcl compiler.

    PR:             261319
    Approved by:    maintainer-timeout

    (cherry picked from commit d678920296faff5c05f97f45226f3dd930cc18c2)

 databases/pgloader3/Makefile | 7 ++++---
 databases/pgloader3/distinfo | 6 +++---
 2 files changed, 7 insertions(+), 6 deletions(-)
Comment 4 Christoph Moench-Tegeder freebsd_committer 2022-02-01 18:45:28 UTC
committed